commit:     452eb2ecc72cc3ea1fc30e3532fb7f9e2289ad2c
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 28 19:58:54 2015 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Feb 28 19:58:54 2015 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=452eb2ec

sys-process/lsof: update to 4.87

---
 sys-process/lsof/lsof-4.87-r99.ebuild | 98 +++++++++++++++++++++++++++++++++++
 1 file changed, 98 insertions(+)

diff --git a/sys-process/lsof/lsof-4.87-r99.ebuild 
b/sys-process/lsof/lsof-4.87-r99.ebuild
new file mode 100644
index 0000000..9cda930
--- /dev/null
+++ b/sys-process/lsof/lsof-4.87-r99.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/lsof/lsof-4.87-r1.ebuild,v 1.13 
2014/12/06 16:38:45 ago Exp $
+
+EAPI="4"
+
+inherit eutils flag-o-matic toolchain-funcs
+
+MY_P=${P/-/_}
+DESCRIPTION="Lists open files for running Unix processes"
+HOMEPAGE="ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/";
+SRC_URI="ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/${MY_P}.tar.bz2
+       ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/OLD/${MY_P}.tar.bz2";
+
+LICENSE="lsof"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh 
sparc x86 ~ppc-aix ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos 
~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples ipv6 rpc selinux static"
+
+RDEPEND="rpc? ( net-libs/libtirpc )
+       selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+       rpc? ( virtual/pkgconfig )"
+
+S=${WORKDIR}/${MY_P}/${MY_P}_src
+
+src_unpack() {
+       unpack ${A}
+       cd ${MY_P}
+       unpack ./${MY_P}_src.tar
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${PN}-4.85-fix-missing-netinet_tcp_h.patch #for 
musl
+       epatch "${FILESDIR}"/${PN}-4.85-cross.patch #432120
+       # convert `test -r header.h` into a compile test
+       sed -i -r \
+               -e 's:test -r \$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo 
"#include <\1>" | ${LSOF_CC} ${LSOF_CFGF} -E - >/dev/null 2>\&1:' \
+               -e 's:grep (.*) \$\{LSOF_INCLUDE\}/([[:alnum:]/._]*):echo 
"#include <\2>" | ${LSOF_CC} ${LSOF_CFGF} -E -P -dD - 2>/dev/null | grep \1:' \
+               Configure || die
+}
+
+target() {
+       case ${CHOST} in
+       *-darwin*)  echo darwin  ;;
+       *-freebsd*) echo freebsd ;;
+       *-solaris*) echo solaris ;;
+       *-aix*)     echo aixgcc  ;;
+       *)          echo linux   ;;
+       esac
+}
+
+src_configure() {
+       use static && append-ldflags -static
+
+       append-cppflags $(use rpc && $(tc-getPKG_CONFIG) libtirpc --cflags || 
echo "-DHASNOTRPC -DHASNORPC_H")
+       append-cppflags $(usex ipv6 -{D,U}HASIPv6)
+
+       export LSOF_CFGL="${CFLAGS} ${LDFLAGS} \
+               $(use rpc && $(tc-getPKG_CONFIG) libtirpc --libs)"
+
+       # Set LSOF_INCLUDE to a dummy location so the script doesn't poke
+       # around in it and mix /usr/include paths with cross-compile/etc.
+       touch .neverInv
+       LINUX_HASSELINUX=$(usex selinux y n) \
+       LSOF_INCLUDE=${T} \
+       LSOF_CC=$(tc-getCC) \
+       LSOF_AR="$(tc-getAR) rc" \
+       LSOF_RANLIB=$(tc-getRANLIB) \
+       LSOF_CFGF="${CFLAGS} ${CPPFLAGS}" \
+       ./Configure -n $(target) || die
+}
+
+src_compile() {
+       emake DEBUG="" all
+}
+
+src_install() {
+       dobin lsof
+
+       if use examples ; then
+               insinto /usr/share/lsof/scripts
+               doins scripts/*
+       fi
+
+       doman lsof.8
+       dodoc 00*
+}
+
+pkg_postinst() {
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               einfo "Note: to use lsof on Solaris you need read permissions 
on"
+               einfo "/dev/kmem, i.e. you need to be root, or to be in the 
group sys"
+       elif [[ ${CHOST} == *-aix* ]] ; then
+               einfo "Note: to use lsof on AIX you need read permissions on 
/dev/mem and"
+               einfo "/dev/kmem, i.e. you need to be root, or to be in the 
group system"
+       fi
+}

Reply via email to